package demo;

import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;

@Controller
@RequestMapping("/rozmowa")
public class RozmowaController {

    @GetMapping
    public String rozmowaGet() {
        return "rozmowa.html";
    }

    @PostMapping
    public String rozmowaPost(Model model, String imie, Integer wiek) {
        model.addAttribute("pozdrowienie", "Witaj " + imie);
        String txt_piwo;
        if (wiek != null && wiek >= 18) {
            txt_piwo = "Możesz kupić piwo, smacznego.";
        } else {
            txt_piwo = "Niepełnoletnim proponujemy oranżadę";
        }
        model.addAttribute("piwo", txt_piwo);
        return "rozmowa.html";
    }

}
